## org.eclipse.uml2.uml
Interface AcceptCallAction

All Superinterfaces:
  AcceptEventAction, Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

    public interface AcceptCallAction

extends AcceptEventAction

A representation of the model object 'Accept Call Action'. An accept call action is an accept event action representing the receipt of a synchronous call request. In addition to the normal operation parameters, the action produces an output that is needed later to supply the information to the reply action necessary to return control to the caller. This action is for synchronous calls. If it is used to handle an asynchronous call, execution of the subsequent reply action will complete immediately with no effects.

The following features are supported:

- `Return Information`

See Also:
  `UMLPackage.getAcceptCallAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`OutputPin` `createReturnInformation(java.lang.String name, Type type)` Creates a new `OutputPin`,with the specified 'Name', and 'Type', and sets the 'Return Information' containment reference
`OutputPin` `getReturnInformation()` Returns the value of the 'Return Information' containment reference.
`void` `setReturnInformation(OutputPin value)` Sets the value of the '`Return Information`' containment reference
`boolean` `validateResultPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The result pins must match the in and inout parameters of the operation specified by the trigger event in number, type, and order.
`boolean` `validateTriggerCallEvent(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The trigger event must be a CallEvent.
`boolean` `validateUnmarshall(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` isUnmrashall must be true for an AcceptCallAction.

Methods inherited from interface org.eclipse.uml2.uml.AcceptEventAction
`createResult, createTrigger, getResult, getResult, getResult, getResults, getTrigger, getTrigger, getTriggers, isUnmarshall, setIsUnmarshall, validateNoInputPins, validateNoOutputPins, validateTriggerEvents, validateUnmarshallSignalEvents`

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReturnInformation

    OutputPin getReturnInformation()

  Returns the value of the 'Return Information' containment reference.

  This feature subsets the following features:

  - '`Output`'
  Pin where a value is placed containing sufficient information to perform a subsequent reply and return control to the caller. The contents of this value are opaque. It can be passed and copied but it cannot be manipulated by the model.

  Returns:
    the value of the 'Return Information' containment reference.
  See Also:
    `setReturnInformation(OutputPin)`, `UMLPackage.getAcceptCallAction_ReturnInformation()`

### setReturnInformation

    void setReturnInformation(OutputPin value)

  Sets the value of the '`Return Information`' containment reference.

  Parameters:
    `value` - the new value of the 'Return Information' containment reference.
  See Also:
    `getReturnInformation()`

### createReturnInformation

    OutputPin createReturnInformation(java.lang.String name,
                                      Type type)

  Creates a new `OutputPin`,with the specified 'Name', and 'Type', and sets the 'Return Information' containment reference.

  Parameters:
    `name` - The 'Name' for the new `OutputPin`, or `null`.
    `type` - The 'Type' for the new `OutputPin`, or `null`.
  Returns:
    The new `OutputPin`.
  See Also:
    `getReturnInformation()`

### validateResultPins

    boolean validateResultPins(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

  The result pins must match the in and inout parameters of the operation specified by the trigger event in number, type, and order. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateTriggerCallEvent

    boolean validateTriggerCallEvent(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map<java.lang.Object,java.lang.Object> context)

  The trigger event must be a CallEvent. trigger.event.oclIsKindOf(CallEvent)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateUnmarshall

    boolean validateUnmarshall(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map<java.lang.Object,java.lang.Object> context)

  isUnmrashall must be true for an AcceptCallAction. isUnmarshall = true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.